影响版本:
e107 website system 0.7.23漏洞描述:
BUGTRAQ  ID: 43511

e107是用php编写的内容管理系统。

e107没有正确地过滤提交给forum_admin.php脚本的GET请求便在SQL查询中使用,远程攻击者可以通过提交恶意查询请求执行SQL注入攻击。成功利用这个漏洞要求启用了Forum插件。

<*参考


*>
?create.edit.9999999%0Aunion%0Aselect%0A1,2,user(),4,5,6,7,8,9,10,11,12,13,14SEBUG


厂商补丁:

e107.org
--------
目前厂商还没有提供补丁或者升级程序,我们建议使用此软件的用户随时关注厂商的主页以获取最新版本:

临时解决方案:

正确过滤提交给forum_admin.php脚本的GET请求